const Cosmetics = require('../models/Cosmetics');
const User = require('../models/User');

exports.create = (cosmeticsData) => Cosmetics.create(cosmeticsData);

exports.getAll = () => Cosmetics.find().lean();

exports.getOne = (cosmeticsId) => Cosmetics.findById(cosmeticsId).populate('recommend');

exports.delete = (cosmeticsId) => Cosmetics.findByIdAndDelete(cosmeticsId);

exports.findOwner = (userId) => User.findById(userId).lean();

exports.updateOne = (cosmeticsId, cosmeticsData) => Cosmetics.findByIdAndUpdate(cosmeticsId, cosmeticsData);

exports.findTheThree = () => Cosmetics.find({}).sort({ createdAt: -1 }).lean();

exports.search = (cosmeticsText) => {
    if (cosmeticsText) {
        return (Cosmetics.find({ title: { $regex: cosmeticsText, $options: 'i' } }).lean());
    }
}